/*******************************************************
 File:		RealTimeClock.h
 *******************************************************/
#ifndef _RealTimeClock
#define _RealTimeClock
/*
** Defines
*/
#define RTC_SET_TIME		0	// used in RTC_SetTimeDate
#define RTC_SET_DATE		1

#define RTC_TAKE_READ_TIME	0	// used in RTC_GetTimeDate
#define RTC_READ_TIME		1
#define RTC_TAKE_READ_DATE	2
#define RTC_READ_DATE		3
/*
** Public Functions Prototypes
*/
void 	RTC_Init (void);
void 	RTC_SetTimeDate (uint8_t p1, uint8_t p2, uint8_t p3, uint8_t para);
void 	RTC_SetDayOfWeek (uint8_t DOW);
uint8_t	RTC_GetTimeDate (uint8_t type, uint8_t para);
uint8_t RTC_GetDayOfWeek (void);

#endif
